---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: pmm
  namespace: flux-system
spec:
  dependsOn:
    - name: netpol-pmm
    - name: oidc

  interval: 50m
  retryInterval: 1m

  sourceRef:
    kind: ${_core_repo_kind:-GitRepository}
    name: core-addons

  serviceAccountName: kustomize-controller

  path: ./infrastructure/pmm
  prune: true

  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: cluster-vars
      - kind: Secret
        name: oidc-config
